Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154714 - missing return expression
Summary: missing return expression
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf-le-xcin
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 17:53 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 05:47:06 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-13 17:53:39 UTC
Description of problem:

I just tried to compile iiimf-le-xcin-0.1.10-1 from Redhat
Fedora Core development tree

The compiler said

charcode.c:164: warning: `return' with no value, in function returning non-void

The source code is

wchar_t endianConversion(wchar_t in, int size)
{
    wchar_t out = 0;
    char *p_in = (char *) ∈
    char *p_out = (char *) &out;
    int i = 0;
    int index = size;

    if (isBigEndian()) return;

Suggest add expression to return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Lawrence Lim 2005-09-30 05:47:06 UTC
We strive to work with the upstream community of open source projects. This
allows us to reduce the likelihood of regressions between releases as well as to
benefit from features and fixes as development moves forward. Since this change
would require a divergence from the upstream project, please report this issue
to IIIMF developers by filing a bug report in the OpenI18N bugzilla located at
http://openi18n.org/bugzilla/ in the "IIIMF" component.

We urge you to bring the information upstream, so that it can be incorporated in
the next release. Once you've filed your bug report to OpenI18N, if you paste
the new bug URL here, we will continue to track the issue in the centralized
OpenI18N bug tracker, and will review any bug fixes that become available for
consideration in future updates.

Thanks. 

Comment 3 David Binderman 2005-09-30 18:05:21 UTC
It seems that the left hand doesn't know what the 
right hand is doing.

Oh well - it saved me getting yet another account
on yet another copy of bugzilla just to report yet another
bug.

Thanks for that, anyway.


Note You need to log in before you can comment on or make changes to this bug.